/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.to;

/**
 * @author aruffie
 * 
 */
public class ChannelClientMessageTO {
    private String destInterface;

    private String destEndpoint;

    private String destService;

    private String operation;

    private String content;

    private String type;

    public String getDestInterface() {
        return destInterface;
    }

    public void setDestInterface(String destInterface) {
        this.destInterface = destInterface;
    }

    public String getDestEndpoint() {
        return destEndpoint;
    }

    public void setDestEndpoint(String destEndpoint) {
        this.destEndpoint = destEndpoint;
    }

    public String getDestService() {
        return destService;
    }

    public void setDestService(String destService) {
        this.destService = destService;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public ChannelClientMessageTO(String content, String destEndpoint, String destInterface,
            String destService, String operation, String type) {
        super();
        this.content = content;
        this.destEndpoint = destEndpoint;
        this.destInterface = destInterface;
        this.destService = destService;
        this.operation = operation;
        this.type = type;
    }

    public ChannelClientMessageTO() {
        super();
    }

}
